curl --request POST \
--url https://api.qovery.com/job/{jobId}/secret \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"value": "<string>",
"mount_path": null,
"description": "<string>",
"enable_interpolation_in_file": true
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"key": "<string>",
"scope": "APPLICATION",
"updated_at": "2023-11-07T05:31:56Z",
"overridden_secret": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"description": "<string>",
"enable_interpolation_in_file": true
},
"aliased_secret": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "QOVERY_DATABASE_PSQL_NAME",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"description": "<string>",
"enable_interpolation_in_file": true
},
"variable_type": "VALUE",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_type": "APPLICATION",
"owned_by": "<string>",
"description": "<string>",
"enable_interpolation_in_file": true
}curl --request POST \
--url https://api.qovery.com/job/{jobId}/secret \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"value": "<string>",
"mount_path": null,
"description": "<string>",
"enable_interpolation_in_file": true
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"key": "<string>",
"scope": "APPLICATION",
"updated_at": "2023-11-07T05:31:56Z",
"overridden_secret": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"description": "<string>",
"enable_interpolation_in_file": true
},
"aliased_secret": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "QOVERY_DATABASE_PSQL_NAME",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"description": "<string>",
"enable_interpolation_in_file": true
},
"variable_type": "VALUE",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_type": "APPLICATION",
"owned_by": "<string>",
"description": "<string>",
"enable_interpolation_in_file": true
}Documentation Index
Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Job ID
key is case sensitive
value of the secret. Clear value will never be returned
should be set for file only. variable mount path make secret a file (where file should be mounted).
optional variable description (255 character maximum)
255Add a secret
key is case sensitive
APPLICATION, BUILT_IN, ENVIRONMENT, PROJECT, CONTAINER, JOB, HELM, TERRAFORM Show child attributes
Show child attributes
type of the environment variable (VALUE, FILE, ALIAS, OVERRIDE or BUIT_IN)
VALUE, ALIAS, OVERRIDE, BUILT_IN, FILE type of the service (application, database, job, gateway...)
APPLICATION, CONTAINER, DATABASE, JOB, HELM, TERRAFORM Entity that created/own the variable (i.e: Qovery, Doppler)
optional variable description (255 characters maximum)
255Was this page helpful?